ReflectionClass::isInterface
ReflectionClass::isIterateable
ReflectionClass
PHP Manual

# ReflectionClass::isInternal

(PHP 5)

ReflectionClass::isInternal — Checks if class is defined internally by an extension, or the core

### Description

public bool ReflectionClass::isInternal ( void )

Checks if the class is defined internally by an extension, or the core, as opposed to user-defined.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Basic usage of ReflectionClass::isInternal()

`<?php
$internalclass = new ReflectionClass('ReflectionClass');
class Apple {}
$userclass = new ReflectionClass('Apple');
var_dump($internalclass->isInternal());
var_dump($userclass->isInternal());
?>`

The above example will output:

    bool(true)
    bool(false)

### See Also

- ReflectionClass::isUserDefined() - Checks if user defined

ReflectionClass::isInterface
ReflectionClass::isIterateable
ReflectionClass
PHP Manual